
extern "C" __global__ void cuda_wave(float4* pos, int width, int height, float time)
{
	unsigned int x = blockDim.x * blockIdx.x + threadIdx.x;
	unsigned int y = blockDim.y * blockIdx.y + threadIdx.y;

	float u = x / (float) width;
	float v = y / (float) height;
	u = u*2.0f - 1.0f;
	v = v*2.0f - 1.0f;

	float freq = 4.0f;
	float w = sinf(u*freq + time) * cosf(v*freq + time) * 0.5f;

	pos[y*width+x] = make_float4(u, w, v, __int_as_float(0xff00ff00));
}
