matrix world;
matrix view;
matrix projection;

struct Fragment
{
	float4 pos: SV_POSITION;
	float4 col: TEXCOORD0;
};

Fragment VS(float4 pos : POSITION, float4 col: COLOR)
{
	Fragment f;
	f.pos = mul(pos, world);
	f.pos = mul(f.pos, view);
	f.pos = mul(f.pos, projection);
	f.col = col;
	return f;
}

float4 PS(Fragment f) : SV_TARGET
{
	return f.col;
}

technique10 Render
{
	pass P0
	{
		SetVertexShader(CompileShader(vs_4_0, VS()));
		SetGeometryShader(NULL);
		SetPixelShader(CompileShader(ps_4_0, PS()));
	}
}

